1
cv2.error: OpenCV(4.0.1-dev) /home/pi/opencv/modules/highgui/src/window.cpp:610: error: (-2:Unspecified error) The function is not implemented. Rebuild the library with Windows, GTK+ 2.x or Cocoa support. If you are on Ubuntu or Debian, install libgtk2.0-dev and pkg-config, then re-run cmake or configure script in function 'cvNamedWindow'

Installation and recompilation errors based on prompts cannot be resolved. Failure to install pkg-config using compiler
  • You need to install the required packages for UI support in OpenCV. Are you running rasbian or something else ? – onion Jan 29 at 8:09
  • @onion The question has the [raspbian] tag. – Dmitry Grigoryev Jan 29 at 8:46
  • I run the code in the raspberry pie, install the software according to the error prompt, and recompile and install opencv, which is still compiling. – 黄家林 Jan 29 at 8:48
  • I confirm that libgtk2.0-dev and pkg-config are installed and that opencv is compiled and installed again. The above errors in running the code have not been resolved! – 黄家林 Jan 30 at 1:22

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Browse other questions tagged or ask your own question.